package com.ruoyi.bst.order.domain.bo;

import java.util.List;

import com.ruoyi.bst.area.domain.AreaVO;
import com.ruoyi.bst.areaSub.domain.AreaSubVO;
import com.ruoyi.bst.device.domain.DeviceVO;
import com.ruoyi.bst.locationLog.domain.vo.LocationLogPositionVO;
import com.ruoyi.bst.order.domain.OrderVO;
import com.ruoyi.bst.order.domain.dto.OrderEndDTO;
import com.ruoyi.bst.order.domain.vo.OrderInParkingVO;
import com.ruoyi.bst.orderDevice.domain.OrderDeviceVO;

import lombok.Data;

@Data
public class OrderEndBO {
    // 原始参数
    private OrderEndDTO dto;

    // 当前订单设备
    private OrderDeviceVO orderDevice;

    // 当前设备
    private DeviceVO device;

    // 运营区数据
    private AreaVO area;

    // 停车点数据
    private List<AreaSubVO> parkingAreaSubList;

    // 停车点信息
    private OrderInParkingVO inParkingVO;

    // 订单
    private OrderVO order;

    // 订单车辆轨迹列表
    private List<LocationLogPositionVO> positionList;

}
