package com.ruoyi.bst.order.domain.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderVerifyDTO {

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long id;

    @ApiModelProperty("是否通过")
    @NotNull(message = "是否通过不能为空")
    private Boolean pass;
    
    @ApiModelProperty("审核备注")
    @Size(max = 200, message = "审核备注不能超过200个字符")
    private String remark;
}
